# GESTION DE NOMBRES IMPARIS
class Odd:
    def __getitem__(self, i):
        """Renvoie le i-ième nombre positif impair"""
        if i < 1:
            return None
        else:
            return (i - 1) * 2 + 1

    def __getslice__(self, i, j):
        """Renvoie les i-ième à j-ième nombres impairs"""
        slice = []
        for a in range(i, j):
            slice.append(self[a])
        return slice

# ESSAIS
o = Odd()
print o[1]
print o[2]
# SLICE
print o[3:9]
